package cn.tee3.manager.util;

import android.os.Build;
import android.util.Log;

import java.util.UUID;

public class StringUtils {

    /**
     * 字符串判非空
     *
     * @param string
     * @return
     */
    public static boolean isNotEmpty(String string) {
        return null != string && string.length() > 0;
    }

    /**
     * 获取UUID
     *
     * @return
     */
    public static String getUUID() {
        UUID uuid = UUID.randomUUID();
        String uniqueId = uuid.toString();

        return uniqueId;
    }

    /**
     * 获取手机厂商
     *
     * @return 手机厂商
     */
    public static String getDeviceBrand() {
        return Build.BRAND;
    }

    /**
     * 获取手机制造商
     *
     * @return 手机厂商
     */
    public static String getDeviceManufacture() {
        return Build.MANUFACTURER;
    }

    /**
     * 在手机号中加上”-“
     *
     * @param num 如157-6666-6666
     * @return
     */
    public static String roomIdInsert_(String num) {
        if (!isNotEmpty(num)) {
            return "";
        } else if (num.length() <= 3) {
            return num;
        } else if (num.length() >= 8) {
            StringBuilder sb = new StringBuilder(num);//构造一个StringBuilder对象
            sb.insert(3, "-");//在指定的位置，插入指定的字符串
            sb.insert(8, "-");//在指定的位置，插入指定的字符串
            String str = sb.toString();
            return str;
        } else {
            StringBuilder sb = new StringBuilder(num);//构造一个StringBuilder对象
            sb.insert(3, "-");//在指定的位置，插入指定的字符串
            String str = sb.toString();
            return str;
        }
    }
}
